@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

// @import './assets/bootstrap/bootstrap.min.css';

/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

@import 'assets/style/ckeditor.scss';
@import '~ngx-toastr/toastr';
:root {
    --color-blue: #0e1c47;
    --color-red: #FF413E;
    --color-gray: #707070;
}
.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
    color: #0e1c47 !important;
}
.ck.ck-editor__editable_inline {
    padding: 0 2px 0 0 !important;
}
.ck.ck-editor__editable_inline > :first-child {
    margin: 0;
}
.ck.ck-editor__editable_inline > :last-child {
    margin: 0;
}
.ck-content .text-big {
    font-weight: 500;
    font-size: 24px;
    @media (max-width: 47.9375rem){
        font-size: 20px;
    }
}
.bottom-line {
    &::after {
        position: absolute;
        content: '';
        display: block;
        width: 3.5rem;
        height: 2px;
        left: 0;
        right: 0;
        margin: 0 auto;
        z-index: 2;
        background: #000000;
        -webkit-transition: all 0.3s linear;
        -moz-transition: all 0.3s linear;
        -o-transition: all 0.3s linear;
        -ms-transition: all 0.3s linear;
        transition: all 0.3s linear;
    }
}
.mat-tooltip {
    font-size: 12px;
}
.truncate-2-line { 
    display: -webkit-box !important;
    -webkit-line-clamp: 2 !important;
    -webkit-box-orient: vertical !important;
    overflow-x: hidden !important;
    overflow-y: hidden !important;
    // p, iframe, em, i, figure,h1,h2,h3 {
    //     display: none !important;
    // }
    // iframe, figure {
    //     display: none !important;
    // }
    strong {
        font-weight: normal !important;
    }

    h1,h2,h3,p {
        // display: -webkit-box !important;
        // -webkit-line-clamp: 2 !important;
        // -webkit-box-orient: vertical !important;
        // overflow-x: hidden;
        // overflow-y: hidden;
        line-height: 1.25 !important;
        font-size: 16px;
        // @media (max-width: 768px){
        //     font-size: 16px !important;
        // }
    }
    .text-big, .text-huge {
        font-size: 16px !important;
    }
    ol,li, p, iframe, figure, h1, h2, h3,ul, h4 {
        display: none !important;
    }
    p:first-child , h1:first-child ,h2:first-child ,h3:first-child,h4:first-child,ol:first-child,li:first-child,ul:first-child {
        display: -webkit-box !important;
        -webkit-line-clamp: 2 !important;
        -webkit-box-orient: vertical !important;
        overflow-x: hidden !important;
        overflow-y: hidden !important;
        padding: 0 1px 0 0;
        text-align: left !important;
    }
    // @media (max-width: 768px){
    //     ol,li, p, iframe, figure, h1, h2, h3,ul, h4 {
    //         display: none !important;
    //     }
    //     p:first-child , h1:first-child ,h2:first-child ,h3:first-child,h4:first-child,ol:first-child,li:first-child,ul:first-child {
    //         display: -webkit-box !important;
    //         -webkit-line-clamp: 2 !important;
    //         -webkit-box-orient: vertical !important;
    //         overflow-x: hidden !important;
    //         overflow-y: hidden !important;
    //         padding: 0 1px 0 0;
    //         text-align: left !important;
    //     }
    // }
}
.truncate-3-line {
    display: -webkit-box !important;
    -webkit-line-clamp: 3 !important;
    -webkit-box-orient: vertical !important;
    overflow-x: hidden !important;
    overflow-y: hidden !important;
    // p, iframe, em, i, figure, h1, h2, h3 {
    //     display: none !important;
    // }
    .text-big, .text-huge {
        font-size: 16px !important;
    }
    strong {
        font-weight: normal !important;
    }
    // iframe, figure {
    //     display: none !important;
    // }
    h1,h2,h3,p {
        line-height: 1.5 !important;
        font-size: 16px;
    }
    ol,li, p, iframe, figure, h1, h2, h3,ul, h4 {
        display: none !important;
    }
    p:first-child , h1:first-child ,h2:first-child ,h3:first-child,h4:first-child,ol:first-child,li:first-child,ul:first-child {
        display: -webkit-box !important;
        -webkit-line-clamp: 3 !important;
        -webkit-box-orient: vertical !important;
        overflow-x: hidden !important;
        overflow-y: hidden !important;
        padding: 0 1px 0 0;
        text-align: left !important;
    }
    @media (max-width: 768px){
        // p, iframe, figure, h1, h2, h3 {
        //     display: none !important;
        // }
        // p:first-child , h1:first-child ,h2:first-child ,h3:first-child {
        //     display: -webkit-box !important;
        //     -webkit-line-clamp: 3 !important;
        //     -webkit-box-orient: vertical !important;
        //     overflow-x: hidden !important;
        //     overflow-y: hidden !important;
        //     padding: 0 1px 0 0;
        //     text-align: left !important;
        // }
    }
}

.my-custom-class .modal-wrapper {
    height: 28rem;
    width: 30rem;
    position: absolute; 
    display: block;  
    border-radius: 1.5rem;
    @media (max-width: 768px){
        height: 28rem !important;
        width: 22rem !important;
    }
 }
 .my-custom-promotion .modal-wrapper {
    height: 32vw;
    width: 80vw;
    position: absolute; 
    display: block;  
    border-radius: 1.5rem;
    @media (max-width: 768px){
        height: 126vw !important;
        width: 90vw !important;
    }
 }
 .delete-product .modal-wrapper {
    height: 144px;
    width: 340px;
    position: absolute; 
    display: block;  
    border-radius: 1.5rem;
 }
 .dialog-login .modal-wrapper {
    height: 180px;
    width: 360px;
    position: absolute; 
    display: block;  
    border-radius: 1.5rem;
 }
 @mixin toastr-format {
    position: relative;
    overflow: hidden;
    margin: 0 0 6px;
    padding: 25px 15px 25px 50px;
    width: 300px;
    border-radius: 3px 3px 3px 3px;
    background-position: 15px center;
    background-repeat: no-repeat;
    background-size: 24px;
    box-shadow: 0 0 12px #000;
    color: #ffffff;
    pointer-events: auto;
}
 @media (max-width: 425px) {
    .ysd-success-toast {
        font-size: 14px !important;
        width: 100% !important;
        padding: 16px 16px 16px 16px !important;
        margin-top: 2rem !important;
    }
    // .ysd-success-toast.toast-success {
    //     background-image: none !important;
    // }
}
.ysd-success-toast {
    background-color: var(--color-blue) !important;
    border: none !important;
    @include toastr-format;
    &:hover {
        cursor: pointer;
        box-shadow: 0 0 12px rgba(0, 0, 0, 0.8);
    }
    .toast-progress {
        background-color: #fff;
        opacity: 0.8;
    }
}
@media (max-width: 425px) {
    .ysd-error-toast {
        font-size: 14px !important;
        width: 100% !important;
        padding: 16px 16px 16px 16px !important;
        margin-top: 2rem !important;
    }
    .toast-message {
        word-wrap: break-word;
        padding-left: 2rem;
    }
    .toast-title {
        word-wrap: break-word;
        padding-left: 2rem;
    }
}
.ysd-error-toast {
    background-color: var(--color-red) !important;
    border: none !important;
    @include toastr-format;
    &:hover {
        cursor: pointer;
        box-shadow: 0 0 12px rgba(0, 0, 0, 0.8);
    }
    .toast-progress {
        background-color: #fff;
        opacity: 0.8;
    }

}
.bg-custom{
    background-color: #144752;
    &:hover{
        background-color: #0d363f;
    }
}
.bg-main{
    background-color: #0e1c47;
}

.mat-radio-button.mat-primary.mat-radio-checked .mat-radio-outer-circle{
    border-color: #0e1c47; 
  }
  
  .mat-radio-button.mat-primary .mat-radio-inner-circle{
    color: #0e1c47;
    background-color: #0e1c47 ;
  }
  
  .mat-radio-button.mat-primary .mat-radio-ripple .mat-ripple-element {
      background-color:#0e1c47;
  }

  button {
    &:focus {
        outline: none !important;
    }
    &.mat-button,
    &.mat-raised-button {
        border-radius: 9999px;
        box-shadow: none !important;
        border: 1px solid #0e1c47;
        background-color: #0e1c47;
        color: #fff;
        &:hover {
            background-color: #fff;
            color: #0e1c47;
        }
    }
}
.text-danger{
    color: #f44336
}
.custom-dialog .mat-dialog-container {
    padding: 0 !important;
}
@media (max-width: 26.5rem) {
    .custom-dialog .mat-dialog-container {
        width: 100% !important;
    }
    .custom-dialog.cdk-overlay-pane {
        width: 100% !important;
    }
}

@media (min-width: 26.5625rem) and (max-width: 47.9375rem) {
    .custom-dialog .mat-dialog-container {
        width: 100% !important;
    }
    .custom-dialog.cdk-overlay-pane {
        width: 100% !important;
    }
}

@media (min-width: 48rem) and (max-width: 63.9375rem) {
    .custom-dialog .mat-dialog-container {
        width: 100% !important;
    }
    .custom-dialog.cdk-overlay-pane {
        width: 100% !important;
    }
}

@media (min-width: 64rem) and (max-width: 89.9375rem) {
    .custom-dialog .mat-dialog-container {
        width: 100% !important;
    }
    .custom-dialog.cdk-overlay-pane {
        width: 50% !important;
    }
}

@media (min-width: 90rem) {
    .custom-dialog .mat-dialog-container {
        width: 100% !important;
    }
    .custom-dialog.cdk-overlay-pane {
        width: 50% !important;
        display: flex;
        justify-content: center;
    }
}
.ck-content ul,ol {
    // margin-bottom: 12px !important;
    // margin-top: 12px !important;
    padding-left: 40px !important;
}
.text-yellow-hshg{
    color:#F0EA1F
}
.bg-header{
    background-color: #0e1c47;
}